Delete Specific Routes

From docs
Jump to: navigation, search

Mobile_API »Remove Route

Base URL

https://apimobile.callproof.com

Endpoint

/api/routes/{route_id}

Purpose

Deletes a route and its related route-contact assignments for the authenticated user’s company.

HTTP Method

DELETE

Headers

Header Required Description
Authorization Yes Bearer access token

Security

  • Yes – Requires Bearer Token authentication.

Parameters

Path Parameters

Parameter Type Required Description
route_id integer Yes Unique identifier of the route to delete

Query Parameters

None.

Request Body

None.

cURL Example for Android

 curl --location --request DELETE 'https://apimobile.callproof.com/api/routes/{route_id}' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' 

cURL Example for iOS

 curl --location --request DELETE 'https://apimobile.callproof.com/api/routes/{route_id}' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' 

Successful Response (200)

Indicates that the route was removed successfully.

Field Type Description
clientStatusCode integer Status indicator for the client (for example, 200)
user_id integer Identifier of the authenticated user
company_id integer Identifier of the authenticated user’s company
message string Confirmation message (for example, "Routes Removed Successfully")
uri string Requested resource URI

Error Responses

Status Code Meaning
400 Bad Request – the route could not be deleted
401 Unauthorized – missing, invalid, or expired Bearer token
  • 400 – Invalid route ID ("Route Id is Invalid"), or another deletion error (for example, "Error while removing the Routes").
  • 401 – Authentication failed or the access token is missing/expired.